Create deployment
curl --request POST \
--url https://app.conversimple.com/api/v1/deployments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"environment": "<string>",
"call_direction": "<string>",
"channel_config": {},
"engagement_rules": {}
}
'import requests
url = "https://app.conversimple.com/api/v1/deployments"
payload = {
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"environment": "<string>",
"call_direction": "<string>",
"channel_config": {},
"engagement_rules": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agent_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
environment: '<string>',
call_direction: '<string>',
channel_config: {},
engagement_rules: {}
})
};
fetch('https://app.conversimple.com/api/v1/deployments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"environment": "<string>",
"status": "<string>",
"agent_name": "<string>",
"call_direction": "<string>",
"engagement_rules": {},
"channel_config": {},
"runtime_config": {},
"deployed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Deployments
Create deployment
POST
/
api
/
v1
/
deployments
Create deployment
Authorizations
Customer API key from Settings → API
Body
application/json